Method: projects.video.export

啟動批次程序,計算影片並將結果寫入其中一個目的地。

HTTP 要求

POST https://earthengine.googleapis.com/v1alpha/{project=projects/*}/video:export

這個網址使用 gRPC 轉碼語法。

路徑參數

參數
project

string

Google Cloud Platform 專案的專案 ID 或專案編號,應視為這項要求的服務用戶。格式為 projects/{project-id}

授權需要指定資源 project 的下列 IAM 權限:

  • earthengine.exports.create

要求主體

要求主體會包含結構如下的資料:

JSON 表示法
{
  "expression": {
    object (Expression)
  },
  "description": string,
  "videoOptions": {
    object (VideoOptions)
  },
  "fileExportOptions": {
    object (VideoFileExportOptions)
  },
  "requestId": string,
  "workloadTag": string,
  "priority": integer
}
欄位
expression

object (Expression)

運算式,評估要計算及匯出的影片,以圖像集合表示。

description

string

使用者可解讀的任務名稱。

videoOptions

object (VideoOptions)

描述要生成的影片的基本選項。

fileExportOptions

object (VideoFileExportOptions)

匯出影片的位置和格式選項。

requestId

string

用於偵測重複要求的不重複字串。如果同一位使用者透過相同的非空白 requestId 提出多項要求,只有其中一項要求可成功啟動長時間執行的作業。requestId 可包含 a..z、A..Z、0-9 或「-」字元,requestId 長度上限為 60 個字元。

workloadTag

string

使用者提供的標籤,用於追蹤這項運算作業。

priority

integer

(選用步驟) 專案中匯出工作的優先順序。系統會優先排定優先順序較高的工作。必須是介於 0 至 9999 之間的整數。如未設定,預設值為 100。

回應主體

如果成功,回應主體會包含 Operation 的執行個體。

授權範圍

需要下列其中一種 OAuth 範圍:

  • https://www.googleapis.com/auth/earthengine
  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/devstorage.full_control

詳情請參閱OAuth 2.0 Overview

VideoFileExportOptions

將影片匯出為 Earth Engine 外部檔案的選項。

JSON 表示法
{
  "fileFormat": enum (VideoFileFormat),

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "driveDestination": {
    object (DriveDestination)
  },
  "cloudStorageDestination": {
    object (CloudStorageDestination)
  },
  "gcsDestination": {
    object (GcsDestination)
  }
  // End of mutually exclusive fields.
}
欄位
fileFormat

enum (VideoFileFormat)

匯出影片的檔案格式。目前僅支援 MP4。

要將結果寫入何處。以下列出互斥的欄位。回應中最多只會設定一個欄位:
driveDestination

object (DriveDestination)

如有指定,系統會設定匯出至 Google 雲端硬碟。

cloudStorageDestination

object (CloudStorageDestination)

如果指定,則設定匯出至 Google Cloud Storage。

gcsDestination
(deprecated)

object (GcsDestination)

如果指定,則設定匯出至 Google Cloud Storage。

互斥欄位的結尾。